Kerbal Space Program - Bug #28040

Inverted Mouse Scrollwheel (Linux, v 1.12.0)
06/25/2021 04:21 PM - BIkBItChemie

Status: Confirmed Start date: 06/25/2021
Severity: Low % Done: 10%
Assignee:
Category: Controls and Ul
Target version:
Version: 1.12.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description
Hardware:

CPU: AMD A8-3500M

GPU: Radeon HD 6620G
Memory: 12 GB

OS: Linux Mint Debian Edition

KSP:

Version: 1.12.0

Making History: 1.12.0

Breaking Ground: 1.7.0

Steam version, but copied files out of Steam directory and launched via KSP.x86_64

Observation: Mouse scroll wheel behavior is inverted - scrolling down (towards user) results in lists scrolling up, zooming in on craft
instead of out, etc.

Troubleshooting:

Initial testing with fresh install in v1.12.0; no obvious settings to change in game menu
Confirmed correct scrolling behavior in v1.11.2

Copied settings.cfg file from v.1.11.2 into v1.12.0; inverted behavior still observed

Manually edited various fields in AXIS_MOUSEWHEEL block from setting.cfg with no effect

Research:

The inverted mouse behavior on Linux was previously reported in version 1.8 (
https://bugs.kerbalspaceprogram.com/issues/23904)
https://steamcommunity.com/app/220200/discussions/0/1609400247623835346/
https://forum.kerbalspaceprogram.com/index.php?/topic/188955-mouse-wheel-in-reverse/

Potentially a known Unity issue on Linux

Per changelog, a bugfix was released in v1.8.1 (line 1280 of readme.txt from v1.12.0)

Maybe the bugfix is no longer needed with change to Unity 2019.4.18f1 LTS or fix was dropped during the update

History

#1 - 06/25/2021 04:24 PM - BIkBItChemie

| apologize, this was already reported for v1.12.0 as Issue #28028
https://bugs.kerbalspaceprogram.com/issues/28028

#2 - 06/25/2021 05:09 PM - Technicalfool
- Status changed from New to Confirmed

- % Done changed from 0 to 10
#4 - 06/29/2021 05:23 PM - poopslayer78
This bug is also present for Ubuntu 20.04 LTS after the KSP 1.12.0 update.

#5 - 07/16/2021 06:55 AM - MarchHare

Confirming bug is present on Mint 20.1 as well.
kerbal_space_program_1_12_1_03142_48467

Temporary fixes for in-game issue (not the menu behavior) are as follows:
In settings.cfg, within AXIS_MOUSEWHEEL->PRIMARY, either

e Set Inv = True (Default appears to be False)
e Set Scale = -1 (Default appears to be 1)

Menu behavior seems to be governed purely by Unity API stuff, whereas the KSP game functions are handled differently.
